/*
 * lcd.h
 *
 *  Created on: 2012/07/22
 *      Author: ss
 */

#include "driver_config.h"
#include "target_config.h"
#include "type.h"
#include "i2c.h"

extern volatile uint32_t I2CCount;
extern volatile uint8_t I2CMasterBuffer[BUFSIZE];
extern volatile uint8_t I2CSlaveBuffer[BUFSIZE];
extern volatile uint32_t I2CMasterState;
extern volatile uint32_t I2CReadLength, I2CWriteLength;

void delay_count(void);
void delay_ms(int);
void GPIOInit(void);
void init_lcd(void);
void write_lcd(unsigned int rs, unsigned char data);
void cgwrite_lcd(void);
