/*
===============================================================================
 Name        : acc.h
 Author      : Ichiro Shirasaka
 Version     : Ver.1.0 2012.09.10
 Copyright   : Copyright (C) 2012 Ichiro Shirasaka
 Description : UIEXB TEST MAIN
===============================================================================
*/

#include "driver_config.h"
#include "target_config.h"
#include "type.h"
#include "i2c.h"

#define ACCSAD 0x32		//ACC slave address
#define MFSAD 0x3c		//MF slave address

extern volatile uint32_t I2CCount;
extern volatile uint8_t I2CMasterBuffer[BUFSIZE];
extern volatile uint8_t I2CSlaveBuffer[BUFSIZE];
extern volatile uint32_t I2CMasterState;
extern volatile uint32_t I2CReadLength, I2CWriteLength;

void write_acc(int sad, int subads, int data);
volatile uint8_t *read_acc(int sad, int subads, int len);
void accini(void);

